function [A,x] = matriz_preg1_lab5(n,m,h)
% funcion para construir matriz de ejercicio 1, laboratorio 5

% se busca polinomio de grado menor o igual que n que aproxime por minimos
% cuadrados a un conjunto de m+1 puntos dados por
% xi = i*h, i=0,1,2,...,m. Valores de m y h dados.

% x = [0 h 2h 3h ... mh] = [0 1 2 ... m]h
x = 0:m;
x = x*h;
% convertir t en vector columna
x = x';

% la matriz A se escribe de modo que la primera columna corresponda al
% coeficiente principal y la ultima al termino independiente
% A = [x.^n x.^(n-1) ... x.^2 x 1]
A = zeros(m+1,n+1);
for i = 0:n
    A(:,i+1) = x.^(n-i);
end

